import { jsx } from "react/jsx-runtime";
import { TokenMONA as TokenMONA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMONA = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "MONA", "data-name": "TokenMONA", ...props, children: /* @__PURE__ */ jsx(TokenMONA$1, { variant }) });
  }
);
TokenMONA.displayName = "TokenMONA";
Object.assign(TokenMONA, { isGdsIcon: true });
export {
  TokenMONA
};
